package com.clx.performance.dao;

import com.msl.common.dao.BaseDao;
import com.clx.performance.mapper.PendingFreightMapper;
import com.clx.performance.model.PendingFreight;

import java.math.BigDecimal;

/**
 * @author kavin
 * Date 2024-10-17
 * Time 19:37
 */
public interface PendingFreightDao extends BaseDao<PendingFreightMapper, PendingFreight, Integer> {
    long updateInternalReportData(String orderNo, String name, BigDecimal logisticsFreight);

    void updateOrderedAndLoadTruckRate(String orderNo, BigDecimal orderedRate, BigDecimal loadTruckRate);
}
